/**
	@file charset.d
	@brief NScripter向けに文字コード変換する。
	@author senzogawa
**/
module nscr.charset;

private import std.windows.charset;
private import std.conv;

/// NScripter向けの文字コード(Shift_JIS)に変換する。
string toNScrCharset(string str){
	return to!string(std.windows.charset.toMBSz(str));
}


/// NScripterの文字コード(Shift_JIS)から変換する。
string fromNScrCharset(string str){
	return std.windows.charset.fromMBSz(std.string.toStringz(str));
}
