module nscr.util;

private import std.string;

string[string] straliases;
string[string] numaliases;

string alias2str(string name){
    name = tolower(name);
    if(name in straliases) return straliases[name];
    return null;
}

string alias2num(string name){
    name = tolower(name);
    if(name in numaliases) return numaliases[name];
    return null;
}

string dequote(string str) {
    if(str.length > 1 && str[0] == '"' && str[$-1] == '"')
        return str[1..$-1];
    return str;
}

string enquote(string str) {
    if(str.length > 1 && str[0] == '"' && str[$-1] == '"')
        return str;
    return "\"" ~ str ~ "\"";
}

unittest {
    assert(dequote("\"hoge\"") == "hoge");
    assert(enquote("\"hoge\"") == "\"hoge\"");
    assert(enquote("hoge") == "\"hoge\"");
}
